Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class APCSheetReviewHeaderPhotos
    Inherits BaseObject

    Private _APCSheetReviewHeader As APCSheetReviewHeader
    Private _PhotoFile As FileData

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("APCSheetReviewHeaderPhotos - APCSheetReviewHeader", DefaultContexts.Save)> _
    Property APCSheetReviewHeader As APCSheetReviewHeader
        Get
            Return _APCSheetReviewHeader
        End Get
        Set(value As APCSheetReviewHeader)
            SetPropertyValue("APCSheetReviewHeader", _APCSheetReviewHeader, value)
        End Set
    End Property
    <RuleRequiredField("APCSheetReviewHeaderPhotos - PhotoFile", DefaultContexts.Save)> _
    Property PhotoFile As FileData
        Get
            Return _PhotoFile
        End Get
        Set(value As FileData)
            SetPropertyValue("PhotoFile", _PhotoFile, value)
        End Set
    End Property
End Class
